LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (http://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Error compiling xf86-video-intel-devel (http://www.linuxquestions.org/questions/linux-newbie-8/error-compiling-xf86-video-intel-devel-4175436837/)

demencia 11-12-2012 04:06 PM

Error compiling xf86-video-intel-devel
 
Code:

make  all-recursive
make[1]: se ingresa al directorio `/tmp/yaourt-tmp-augusto/aur-xf86-video-intel-devel/src/xf86-video-intel-2.16.902'
Making all in uxa
make[2]: se ingresa al directorio `/tmp/yaourt-tmp-augusto/aur-xf86-video-intel-devel/src/xf86-video-intel-2.16.902/uxa'
  CC    uxa.lo
uxa.c: In function 'uxa_close_screen':
uxa.c:409:30: warning: assignment from incompatible pointer type [enabled by default]
uxa.c:425:2: warning: passing argument 1 of 'pScreen->CloseScreen' makes pointer from integer without a cast [enabled by default]
uxa.c:425:2: note: expected 'ScreenPtr' but argument is of type 'int'
uxa.c:425:2: error: too many arguments to function 'pScreen->CloseScreen'
uxa.c: In function 'uxa_driver_init':
uxa.c:515:22: warning: assignment from incompatible pointer type [enabled by default]
uxa.c:536:41: warning: assignment from incompatible pointer type [enabled by default]
uxa.c:537:30: warning: assignment from incompatible pointer type [enabled by default]
make[2]: *** [uxa.lo] Error 1
make[2]: se sale del directorio `/tmp/yaourt-tmp-augusto/aur-xf86-video-intel-devel/src/xf86-video-intel-2.16.902/uxa'
make[1]: *** [all-recursive] Error 1
make[1]: se sale del directorio `/tmp/yaourt-tmp-augusto/aur-xf86-video-intel-devel/src/xf86-video-intel-2.16.902'
make: *** [all] Error 2

This is the error I get when trying to compile the xf86-video-intel-devel package from aur.

I'm trying to compile that driver to see if I can make Amnesia: The Dark Descent run again on my laptop with integrated Intel HD video card.

malekmustaq 11-14-2012 01:05 AM

Is there a need to install the *devel package? Does Dark Descent require it?

There are new intel drivers, even up to 3D capable. See for your self here.

demencia 11-14-2012 10:07 AM

Quote:

Originally Posted by malekmustaq (Post 4828917)
Is there a need to install the *devel package? Does Dark Descent require it?

There are new intel drivers, even up to 3D capable. See for your self here.

It's the only thing I haven't tried yet. I don't know what else to do to make it work again.


All times are GMT -5. The time now is 01:38 PM.